gtkmm: Gtk::MultiFilter Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::MultiFilter Class Reference
ListView Classes

Combining multiple filters. More...

`#include <gtkmm/multifilter.h>`

Inheritance diagram for Gtk::MultiFilter:
[legend]

## Public Member Functions
| MultiFilter (MultiFilter &&src) noexcept
MultiFilter & | operator= (MultiFilter &&src) noexcept
| ~MultiFilter () noexcept override
GtkMultiFilter * | gobj ()
| Provides access to the underlying C GObject.
const GtkMultiFilter * | gobj () const
| Provides access to the underlying C GObject.
GtkMultiFilter * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | append (const Glib::RefPtr< Filter > &filter)
| Adds a filter to self to use for matching.
void | remove (guint position)
| Removes the filter at the given position from the list of filters used by self.
Glib::PropertyProxy_ReadOnly< GType > | property_item_type () const
| The type of items.
Glib::PropertyProxy_ReadOnly< unsigned int > | property_n_items () const
| The number of items.
Public Member Functions inherited from Gtk::Filter
| Filter (Filter &&src) noexcept
Filter & | operator= (Filter &&src) noexcept
| ~Filter () noexcept override
GtkFilter * | gobj ()
| Provides access to the underlying C GObject.
const GtkFilter * | gobj () const
| Provides access to the underlying C GObject.
GtkFilter * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
bool | match (const Glib::RefPtr< Glib::ObjectBase > &item)
| Checks if the given item is matched by the filter or not.
Match | get_strictness ()
| Gets the known strictness of filters.
Glib::SignalProxy< void(Change)> | signal_changed ()
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable &&src) noexcept
Buildable & | operator= (Buildable &&src) noexcept
| ~Buildable () noexcept override
GtkBuildable * | gobj ()
| Provides access to the underlying C GObject.
const GtkBuildable * | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_buildable_id () const
| Gets the ID of the buildable object.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Filter
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| MultiFilter ()
Protected Member Functions inherited from Gtk::Filter
| Filter ()
void | changed (Change change=Change::DIFFERENT)
| Notifies all users of the filter that it has changed.
virtual bool | match_vfunc (const Glib::RefPtr< Glib::ObjectBase > &item)
virtual Match | get_strictness_vfunc ()
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::MultiFilter > | wrap (GtkMultiFilter *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Filter
Glib::RefPtr< Gtk::Filter > | wrap (GtkFilter *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Gtk::Filter
enum class | Match { Match::SOME , Match::NONE , Match::ALL }
| Describes the known strictness of a filter. More...
enum class | Change { Change::DIFFERENT , Change::LESS_STRICT , Change::MORE_STRICT }
| Describes changes in a filter in more detail and allows objects using the filter to optimize refiltering items. More...

## Detailed Description

Combining multiple filters.

Gtk::MultiFilter is the base type that implements support for handling multiple filters.

Since gtkmm 3.98

## Constructor & Destructor Documentation

## ◆ MultiFilter() [1/2]

Gtk::MultiFilter::MultiFilter | ( | MultiFilter && | src | ) |
| noexcept

## ◆ ~MultiFilter()

Gtk::MultiFilter::~MultiFilter | ( |  | ) |
| overridenoexcept

## ◆ MultiFilter() [2/2]

Gtk::MultiFilter::MultiFilter | ( |  | ) |
| protected

## Member Function Documentation

## ◆ append()

void Gtk::MultiFilter::append | ( | const Glib::RefPtr< Filter > & | filter | ) |

Adds a filter to self to use for matching.

Parameters

  filter | A new filter to use.

## ◆ get_type()

static GType Gtk::MultiFilter::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkMultiFilter * Gtk::MultiFilter::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkMultiFilter * Gtk::MultiFilter::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkMultiFilter * Gtk::MultiFilter::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

MultiFilter & Gtk::MultiFilter::operator= | ( | MultiFilter && | src | ) |
| noexcept

## ◆ property_item_type()

Glib::PropertyProxy_ReadOnly< GType > Gtk::MultiFilter::property_item_type | ( |  | ) | const

The type of items.

See Gio::ListModel::get_item_type().

Since gtkmm 4.8

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_n_items()

Glib::PropertyProxy_ReadOnly< unsigned int > Gtk::MultiFilter::property_n_items | ( |  | ) | const

The number of items.

See Gio::ListModel::get_n_items().

Since gtkmm 4.8

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ remove()

void Gtk::MultiFilter::remove | ( | guint | position | ) |

Removes the filter at the given position from the list of filters used by self.

If position is larger than the number of filters, nothing happens and the function returns.

Parameters

  position | Position of filter to remove.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::MultiFilter > wrap | ( | GtkMultiFilter * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.